<%--
 ~
 ~ Copyright (c) 2022, WSO2 Inc. (http://www.wso2.com). All Rights Reserved.
 ~
 ~ This software is the property of WSO2 Inc. and its suppliers, if any.
 ~ Dissemination of any information or reproduction of any material contained
 ~ herein in any form is strictly forbidden, unless permitted by WSO2 expressly.
 ~ You may not alter or remove any copyright or other notice from copies of this content."
 ~
--%>

<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="java.io.File" %>
<%@ page import="org.wso2.carbon.identity.application.authentication.endpoint.util.AuthenticationEndpointUtil" %>

<%@ include file="includes/localize.jsp" %>

<!-- Include tenant context -->
<jsp:directive.include file="includes/init-url.jsp"/>

<!doctype html>
<html>
<head>
    <!-- header -->
    <%
        File headerFile = new File(getServletContext().getRealPath("extensions/header.jsp"));
        if (headerFile.exists()) {
    %>
        <jsp:include page="extensions/header.jsp"/>
    <% } else { %>
        <jsp:include page="includes/header.jsp"/>
    <% } %>
</head>
<body class="login-portal layout ">
	<div class="page-wrapper error-page">

	<main class="center-segment">
        <div class="slogan-container">
            <!-- product-title -->


            <div class="theme-icon inline auto transparent product-logo portal-logo">
			<%
				File productTitleFile = new File(getServletContext().getRealPath("extensions/product-title.jsp"));
				if (productTitleFile.exists()) {
			%>
				<jsp:include page="extensions/product-title.jsp"/>
			<% } else { %>
				<jsp:include page="includes/product-title.jsp"/>
			<% } %>
            </div>


            <h2 class="header portal-logo-tagline slogan-message">
                <%=AuthenticationEndpointUtil.i18n(resourceBundle,"mau.error.msg")%>
            </h2>
            <p class="portal-tagline-description">
                <%=AuthenticationEndpointUtil.i18n(resourceBundle,"mau.error.description")%>
                <br><br>
            </p>

			<jsp:include page="includes/error-tracking-reference.jsp"/>


        </div>
        <div class="ui container medium aligned middle aligned">
            <div>
                <img class="ui centered medium image" src="libs/themes/asgardio/assets/images/something-went-wrong.svg"" alt="404-Error">
            </div>
        </div>


        </main>

        <!-- product-footer -->
        <%
            File productFooterFile = new File(getServletContext().getRealPath("extensions/product-footer.jsp"));
            if (productFooterFile.exists()) {
        %>
            <jsp:include page="extensions/product-footer.jsp"/>
        <% } else { %>
            <jsp:include page="includes/product-footer.jsp"/>
        <% } %>

        <!-- footer -->
        <%
            File footerFile = new File(getServletContext().getRealPath("extensions/footer.jsp"));
            if (footerFile.exists()) {
        %>
            <jsp:include page="extensions/footer.jsp"/>
        <% } else { %>
            <jsp:include page="includes/footer.jsp"/>
        <% } %>

		</div>
	</div>

</body>
</html>
